Look up a radiology worklist
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/worklist \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/worklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/worklist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "available",
"worklist": {
"pacs_code": "<string>",
"accession_number": "<string>",
"requisition_number": "<string>",
"patient": {
"identifier": "<string>",
"name": "<string>",
"sex": "<string>",
"date_of_birth": "2023-12-25"
},
"visit": {},
"location": {},
"procedure": {}
}
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}{
"status": "not_available",
"worklist": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "Unauthenticated."
}Radiology integration
Look up a radiology worklist
Returns the open radiology examination for a PACS endpoint and accession number. Requires radiology:worklists:read. Rate limited to 120 requests per minute per authenticated user and IP.
GET
/
radiology
/
integration
/
worklist
Look up a radiology worklist
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/worklist \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/worklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/radiology/integration/worklist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "available",
"worklist": {
"pacs_code": "<string>",
"accession_number": "<string>",
"requisition_number": "<string>",
"patient": {
"identifier": "<string>",
"name": "<string>",
"sex": "<string>",
"date_of_birth": "2023-12-25"
},
"visit": {},
"location": {},
"procedure": {}
}
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}{
"status": "not_available",
"worklist": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "Unauthenticated."
}Authorizations
Paste a Sanctum personal access token generated by a HMIS super administrator. Use only a token with the ability required by the selected operation.
Query Parameters
Maximum string length:
64Maximum string length:
32